% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/helpers.R
\name{retry}
\alias{retry}
\title{A wrapper around \code{try} that retries on failure}
\usage{
retry(expr, retries = 5, silent = FALSE)
}
\arguments{
\item{expr}{Expression to run.}

\item{retries}{Numeric. The maximum number of retries.}

\item{silent}{Logical indicating whether to \code{try} silently.}
}
\description{
This is useful for functions that are "flaky", such as \code{curl}, which may fail for unknown
reasons that do not persist.
}
\details{
Based on \url{https://github.com/jennybc/googlesheets/issues/219#issuecomment-195218525}.
}
